Magento 2.3 System Requirements

Magento has released the Magento 2.3 on November 28, 2018 with impressive features. Its offers new tools to enhance both merchants and developer experiences.

Operating System Linux x86-64
Composer Composer is required for developers to contribute to the Magento 2 codebase or to develop Magento extensions.
Web Server Apache 2.2 or 2.4
nginx 1.x
Database MySQL 5.6, 5.7
PHP 7.1.3+
7.2+
Required PHP extensions bc-math (Magento Commerce only)
ctype
curl
dom
gd
intl
mbstring
hash
openssl
PDO/MySQL
SimpleXML
soap
spl
libxml
xsl
zip
json
iconv
PHP OPcache We strongly recommend you verify that PHP OPcache is enabled for performance reasons.
SSL A valid security certificate is required for HTTPS.
Mail server Mail Transfer Agent (MTA) or an SMTP server
Optional but recommended php_xdebug 2.5.x or later
mcrypt
PHPUnit (as a command-line tool) 6.2.0

 645 total views,  5 views today

Leave a Reply

Your email address will not be published. Required fields are marked *